import { FeeBasicData } from '@/api/feecommon/feeBasicDataModel'
import { FeeItemCompute } from '@/api/feecommon/feeItemComputeModel'
import { FeeItemComputeDetails } from '@/api/feecommon/feeItemComputeDetailsModel'
import { Partition } from '@/api/feecommon/partitionModel'

//查询参数
export interface CustomerFeeSetQueryParam{   
    productId:string,
    feeSetName:string,
    feeSetType:number | any,
    createUserId:number | any,  
    activeFlag:boolean,  
    pageNum:number;
    pageSize:number;
    total:number;
}

//查询结果列表
export interface CustomerFeeSetList{
    list: CustomerFeeSetModle[]
  }

  //每行数据格式
export interface CustomerFeeSetModle{
    id:number | string,   
    productId:string,  
    productName:string,
    feeSetName:string,
    groupId:string,
    groupName:string,
    orgId:string,    
    orgName:string,
    customerId:number,
    customerName:string,
    feeSetType:number,
    feeSetTypeName:string,
    beginDate:string,
    endDate:string,
    isLast:boolean,
    remark:string,
    activeFlag:boolean,
    createUserId:number,
    createTime:string,
    updateUserId:number,
    updateTime:string
}


//客户费用设置数据类型
export interface SubmitCustomerFeeSetModel {
    id:string,                                          //编号
    productId:string,                                   //产品编号
    productName: string,                                //产品名称
    feeSetName: string,                                 //费用设置名称
    groupId:string,                                     //分组编号
    orgId:string,                                       //分公司编号
    orgName:string,                                     //分公司名称
    customerId:string,                                  //客户编号
    feeSetType:number,                                  //费用设置类型
    beginDate:string,                                     //生效起始时间
    endDate:string,                                       //生效结束时间
    isLast:boolean,                                     //是否最新记录
    remark:string,                                      //备注
    activeFlag:boolean,                                   //是否激活
    createUserId:number,                                //创建人员员编号
    createTime:string,                                    //创建日期
    updateUserId:number,                                  //操作员编号
    updateTime:string,                                 //操作日期
    feeBasicData:FeeBasicData | any ,                 //费用基础信息
    feeItemComputeList:FeeItemCompute[],                //费用计算信息
    feeItemComputeDetailsList:FeeItemComputeDetails[],  //费用计算明细信息
    partitionList:Partition[],                          //分区信息
    parentId:string                                     //生效日期费用父Id
    type:string; //区分新增 、 编辑
}